Package org.eclipse.emf.cdo

# Enum Class CDOState

java.lang.Object
java.lang.Enum<CDOState>
org.eclipse.emf.cdo.CDOState

All Implemented Interfaces:
  `Serializable`, `Comparable<CDOState>`, `Constable`

public enum CDOState extends Enum<CDOState>
Enumerates the possible states of local `objects`.

Author:
  Eike Stepper
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLEAN`
`CONFLICT`
`DIRTY`
`INVALID`
`INVALID_CONFLICT`
`NEW`
`PREPARED`
An intermediary state for internal use only.
`PROXY`
`TRANSIENT`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`isLocal()`
`final boolean`
`isRemote()`
`static CDOState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TRANSIENT

public static final CDOState TRANSIENT

Since:
  1.0

### NEW

public static final CDOState NEW

Since:
  1.0

### CLEAN

public static final CDOState CLEAN

Since:
  1.0

### DIRTY

public static final CDOState DIRTY

Since:
  1.0

### PROXY

public static final CDOState PROXY

Since:
  1.0

### CONFLICT

public static final CDOState CONFLICT

Since:
  1.0

### INVALID

public static final CDOState INVALID

Since:
  2.0

### INVALID_CONFLICT

public static final CDOState INVALID_CONFLICT

Since:
  2.0

### PREPARED

public static final CDOState PREPARED
An intermediary state for internal use only. This state marks the first of two phases during an attach operation.

## Method Details

### values

public static CDOState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDOState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isLocal

public final boolean isLocal()

Since:
  4.6

### isRemote

public final boolean isRemote()

Since:
  4.6